> # NAME

> SpecularMaterialSource - 3D API specular material source

> # USAGE

> SpecularMaterialSource = int(enable)

> # VALID ENUMERANTS

> enable: true, false

> # DESCRIPTION

> Enable/disable front and back specular color material. See the GL_SPECULAR description on the OpenGL glColorMaterial manual page for details. See the D3DRS_SPECULARMATERIALSOURCE render state description for DirectX 9.

> The standard reset callback sets the SpecularMaterialSource state to int(AmbientAndDiffuse).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular